Summary: System Cache flusher
Name: bdflush
Version: 1.5
Release: 7
Copyright: None
Group: Daemons
Source: ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2/bdflush-1.5.tar.gz
Patch: bdflush-1.5-axp.patch
Patch1: bdflush-1.5-glibc.patch
BuildRoot: /var/tmp/bdflush-root

%description
This program flushes the disk buffers the kernel keeps to prevent them
from growing too stale. 

%changelog

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- spec file cleanups
- uses a build root
- user %attr()

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>

- alpha patch should be applied on all architectures

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%prep
%setup

%patch -p1
%patch1 -p1 -b .glibc

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

install -s -m 755 bdflush $RPM_BUILD_ROOT/sbin/update
install -m 644 bdflush.8 $RPM_BUILD_ROOT/usr/man/man8/bdflush.8
ln -sf bdflush.8 $RPM_BUILD_ROOT/usr/man/man8/update.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /sbin/update
%attr(-,root,root) /usr/man/man8/bdflush.8
%attr(-,root,root) /usr/man/man8/update.8
